compact1, compact2, compact3
java.security.interfaces

## Interface RSAPrivateCrtKey

- All Superinterfaces:
    Destroyable, Key, PrivateKey, RSAKey, RSAPrivateKey, Serializable

      public interface RSAPrivateCrtKey
      extends RSAPrivateKey

  The interface to an RSA private key, as defined in the PKCS#1 standard, using the Chinese Remainder Theorem (CRT) information values.
  See Also:
    `RSAPrivateKey`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `serialVersionUID` The type fingerprint that is set to indicate serialization compatibility with a previous version of the type.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `getCrtCoefficient()` Returns the crtCoefficient.
    `BigInteger` | `getPrimeExponentP()` Returns the primeExponentP.
    `BigInteger` | `getPrimeExponentQ()` Returns the primeExponentQ.
    `BigInteger` | `getPrimeP()` Returns the primeP.
    `BigInteger` | `getPrimeQ()` Returns the primeQ.
    `BigInteger` | `getPublicExponent()` Returns the public exponent.

    - ### Methods inherited from interface java.security.interfaces.RSAPrivateKey

      `getPrivateExponent`

    - ### Methods inherited from interface java.security.Key

      `getAlgorithm, getEncoded, getFormat`

    - ### Methods inherited from interface javax.security.auth.Destroyable

      `destroy, isDestroyed`

    - ### Methods inherited from interface java.security.interfaces.RSAKey

      `getModulus`

- - ### Field Detail

    - #### serialVersionUID

          static final long serialVersionUID

      The type fingerprint that is set to indicate serialization compatibility with a previous version of the type.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getPublicExponent

          BigInteger getPublicExponent()

      Returns the public exponent.
      Returns:
        the public exponent

    - #### getPrimeP

          BigInteger getPrimeP()

      Returns the primeP.
      Returns:
        the primeP

    - #### getPrimeQ

          BigInteger getPrimeQ()

      Returns the primeQ.
      Returns:
        the primeQ

    - #### getPrimeExponentP

          BigInteger getPrimeExponentP()

      Returns the primeExponentP.
      Returns:
        the primeExponentP

    - #### getPrimeExponentQ

          BigInteger getPrimeExponentQ()

      Returns the primeExponentQ.
      Returns:
        the primeExponentQ

    - #### getCrtCoefficient

          BigInteger getCrtCoefficient()

      Returns the crtCoefficient.
      Returns:
        the crtCoefficient

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.